Please select Into the mobile phone version | Continue to access the computer ver.
Samsung Galaxy S22 Ultra and DJI GO 4 not working
123Next >
22724 119 2022-4-5
Uploading and Loding Picture ...(0/1)
o(^-^)o
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline


Hello,
Is there any solution for S22 Ultra to work with DJI Go 4 app?
The app from Play Store does not start (4.3.47), the apk from the dji website does not work (4.3.46).
The app starts, it syncs my account in the app, but after pressing the FLY button it crashes, I don't see the drone camera image on the phone.
Does anyone have any solution?


I want to use my M2P! I am so disappointed on DJI for this.
2022-4-5
Use props
DJI Paladin
Administrator
Flight distance : 318 ft

Offline

Hi there. Thank you for reaching out and we're sorry for the trouble that this has caused. As per checking here, it seems that the mobile device that you are using is not compatible with the DJI Go 4 app and this might be the main issue why you experienced the said error. We strongly recommend using a compatible device to avoid issues. You may refer to the link below for your reference. Thank you for your understanding and support!

https://www.dji.com/downloads/djiapp/dji-go-4
2022-4-5
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline

DJI Paladin Posted at 4-5 17:36
Hi there. Thank you for reaching out and we're sorry for the trouble that this has caused. As per checking here, it seems that the mobile device that you are using is not compatible with the DJI Go 4 app and this might be the main issue why you experienced the said error. We strongly recommend using a compatible device to avoid issues. You may refer to the link below for your reference. Thank you for your understanding and support!

https://www.dji.com/downloads/djiapp/dji-go-4

So I have to buy another phone to use the drone? Are you serious? ))
Update the app so it works on new phones and maybe we will buy another dji products in the future. Maybe! If this is your customer support...
2022-4-5
Use props
schmeggy929*
lvl.1
Flight distance : 69764 ft
United States
Offline

DJI Paladin Posted at 4-5 17:36
Hi there. Thank you for reaching out and we're sorry for the trouble that this has caused. As per checking here, it seems that the mobile device that you are using is not compatible with the DJI Go 4 app and this might be the main issue why you experienced the said error. We strongly recommend using a compatible device to avoid issues. You may refer to the link below for your reference. Thank you for your understanding and support!

https://www.dji.com/downloads/djiapp/dji-go-4

That has to be the worst advice I'd ever heard. Use a compatible device? He is using a Samsung S22, one of the most common android devices there is. What DJI needs to do is update their app for Android 12. I have an OnePlus 9 Pro and the app force closes trying to open. You should really resign as a moderator if this is your advice.
2022-4-6
Use props
djiuser_iPgg8kXFvGsp
lvl.1

Italy
Offline

Madness. I have a similar problem with my Samsung S10E. I downloaded the updated app, but it continues to ask me about permissions even if I allowed everything. I can't use it at all...please give me a solution!
2022-4-6
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline

DJI Paladin Posted at 4-5 17:36
Hi there. Thank you for reaching out and we're sorry for the trouble that this has caused. As per checking here, it seems that the mobile device that you are using is not compatible with the DJI Go 4 app and this might be the main issue why you experienced the said error. We strongly recommend using a compatible device to avoid issues. You may refer to the link below for your reference. Thank you for your understanding and support!

https://www.dji.com/downloads/djiapp/dji-go-4

So, nothing helpful for Galaxy S22?
Only .. buy an old phone to use your useless drone?
2022-4-8
Use props
noipego
lvl.4
Greece
Offline

The answers from moderators here are somewhat robotic..everytime about the damn compatibility list that is so outdated...nobody uses those phones and we've been flying our drones with newer phones all those years. Maybe DJI needs to add some staff to the app development department
2022-4-8
Use props
bluflyr
lvl.1
Flight distance : 118839 ft
United Kingdom
Offline

yep, like others have said...

It's not necessarily the phone that's the problem. it's the version of android the phone is running. For some reason, the DJI devs haven't updated/maintained the DJI Go 4 app to the point where it will work with the new versions of android.

I'm having this problem now with a Galaxy S10+

It's a 3 year old phone, but since the last time I updated my operating system, the DJI Go4 app just won't open.

I'm pretty annoyed because I now have a non functioning drone, no way of using it, unless I buy a 3rd party app (Litchi) which only has basic functionality, none of the bells and whistles that the DJI app has such as the quick shots and the different tracking modes.
2022-4-9
Use props
adh.inspections.limited.gmail
lvl.1

Estonia
Offline

If the advice being given from dji is use a compatible device I won't be buying from dji again, I'll be switching over to Autel robotics which I was thinking of doing anyway but this has just pushed me that way.
2022-4-10
Use props
djiuser_esAsW9w34954
New

United States
Offline

Great, so I spend 1400$ on a new S22 Ultra and end up turning my gimbal into a paper weight. This is bogus. This is the last DJI device I buy.
2022-4-11
Use props
Diablo the dron
lvl.1
Flight distance : 1116345 ft
United States
Offline

I have 5 dji products mavic pro, fpv, air2, a phantom3 4k and a spark. I recently purchased a 22 ultra because the one plus and LG phones and my I pad mini 4 had started glitching or would give me cpu overloaded errors making it virtually impossible  to fly because of the lag time. So I go out and get the latest and greatest Android and now this. OMG seriously???!! Get a new device?!! How about you guys update the app or fix your political issues with Samsung or I'll get a new device alright. I'll get 5 new devices. I bet autel robotics  or skydio will work with my 22 ultra.
2022-4-15
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline


C'mon DJI, please make your drones useful, not useless
2022-4-16
Use props
fansa055c343
New
Flight distance : 244925 ft
Canada
Offline

Was thinking about buying a new drone, but at this point it's pointless buying another DJI product when my Mavic Pro is sitting here collecting dust due to being unable to use it after purchasing a state of the art, hottest phone on the market (Samsung Galaxy S22 Ultra)!!!!!! Oh and can't use my gimbal either. MAJOR FAIL DJI !!!!!!!!!!!!
2022-4-16
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline

fansa055c343 Posted at 4-16 08:49
Was thinking about buying a new drone, but at this point it's pointless buying another DJI product when my Mavic Pro is sitting here collecting dust due to being unable to use it after purchasing a state of the art, hottest phone on the market (Samsung Galaxy S22 Ultra)!!!!!! Oh and can't use my gimbal either. MAJOR FAIL DJI !!!!!!!!!!!!

I wanted to buy a gimbal for my new GH6.
What gimbal do you have? Should I buy something else? The same lame software support on the gimbals too?
Verry dissapointed with the dji.
2022-4-16
Use props
djiuser_RGIASZPowo4A
New

United Kingdom
Offline

DJI Paladin Posted at 4-5 17:36
Hi there. Thank you for reaching out and we're sorry for the trouble that this has caused. As per checking here, it seems that the mobile device that you are using is not compatible with the DJI Go 4 app and this might be the main issue why you experienced the said error. We strongly recommend using a compatible device to avoid issues. You may refer to the link below for your reference. Thank you for your understanding and support!

https://www.dji.com/downloads/djiapp/dji-go-4

This is totally unacceptable. If DJI cant make their app work on one of the worlds most popular smartphones then good luck to them.
2022-4-18
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline

Nothing yet for Galaxy S22?
2022-5-3
Use props
djiuser_P7RXXs6FNXWB
New

Italy
Offline

This is absolutely ridiculous, I don't think it will be a good idea to get another Dji product in the future. I can't seem to make use of my drone ever since I bought it, it's been lying waste...
The fact that you could be bold enough to shamlessly ask us to go get mobile phones with older android versions is nothing but idiotic.
2022-5-3
Use props
dobje
lvl.2

Netherlands
Offline

So i got my DJI P4P pro V2.0 after waiting 12 months , now the dji app does not open. So i need to by an 10y old android phone. What is this ???
2022-5-11
Use props
DJI Thor
Administrator
Flight distance : 13602 ft
Online

djiuser_P7RXXs6FNXWB Posted at 5-3 12:49
This is absolutely ridiculous, I don't think it will be a good idea to get another Dji product in the future. I can't seem to make use of my drone ever since I bought it, it's been lying waste...
The fact that you could be bold enough to shamlessly ask us to go get mobile phones with older android versions is nothing but idiotic.

Hello, there. Sorry for your inconvenience. Could you please tell us what specific problems you encountered? We will try our best to help you out. Sorry again for the trouble.
2022-5-12
Use props
eisenfliege
lvl.4
Germany
Offline

Seems to be the same problem with a lot of Android Smartphones. The DJI GO 4 App and the Fly App are crashing immediately after starting on a lot of phones with an Android Version 12 and higher.
This happens on phones where the Apps were working fine until the Android 12 Update. I have the same problem with my Samsung S21 Plus and verified it with a Pixel and an S22.
2022-5-13
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline

DJI Thor Posted at 5-12 00:56
Hello, there. Sorry for your inconvenience. Could you please tell us what specific problems you encountered? We will try our best to help you out. Sorry again for the trouble.

Hello Thor!
Can you please tell us when DJI Go 4 app will be updated to work with Android 12 new phones? Samsung S22 inparticular.
Or if there is another DJI app that can be used to fly the Mavic 2 Pro on Android 12 phones.
2022-5-15
Use props
DJI Thor
Administrator
Flight distance : 13602 ft
Online

daniulian Posted at 5-15 04:28
Hello Thor!
Can you please tell us when DJI Go 4 app will be updated to work with Android 12 new phones? Samsung S22 inparticular.
Or if there is another DJI app that can be used to fly the Mavic 2 Pro on Android 12 phones.

Hello, there. Sorry for your inconvenience. Could you please try to reinstall the latest version of the DJI Go 4 app from our official website? Note to back up the video/picture files. Besides, please try to update or refresh the firmware of the device to the latest version. Try to turn off the network and launch the DJI app. Skip the login step. Kill the app and then open the network to see if it works.
Here is the link: https://www.dji.com/id/downloads/djiapp/dji-go-4
2022-5-15
Use props
djiuser_dTsD2ekeFymc
lvl.3
Flight distance : 2559160 ft
Germany
Offline

DJI Thor Posted at 5-15 20:53
Hello, there. Sorry for your inconvenience. Could you please try to reinstall the latest version of the DJI Go 4 app from our official website? Note to back up the video/picture files. Besides, please try to update or refresh the firmware of the device to the latest version. Try to turn off the network and launch the DJI app. Skip the login step. Kill the app and then open the network to see if it works.
Here is the link: https://www.dji.com/id/downloads/djiapp/dji-go-4

Could it be that the problem is that the S22 Phone in Europe use a different cpu (Exynos) instead of Snapdragon in the US ?
2022-5-15
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline

DJI Thor Posted at 5-15 20:53
Hello, there. Sorry for your inconvenience. Could you please try to reinstall the latest version of the DJI Go 4 app from our official website? Note to back up the video/picture files. Besides, please try to update or refresh the firmware of the device to the latest version. Try to turn off the network and launch the DJI app. Skip the login step. Kill the app and then open the network to see if it works.
Here is the link: https://www.dji.com/id/downloads/djiapp/dji-go-4

Dear Thor, do you even know how the app works? We can't SKIP the login page...

My Galaxy S22 Ultra is up to date, I have the latest apk from you website, the result is always the same: the app keeps crushing when I enter the drone camera view to start operate it.


Please tell you colegues to update the app for Android 12 (Samsung Galaxy S22 Ultra) or I will not trust ever to buy another DJI product to only use it for 2-3 years until you consider not to update the apps.
I already have 2 friends that asked me what drone they should buy and I sent them to Autel. I wanted to upgrade from Mavic 2 Pro to Mavic 3 but I will not spend that kind of money because I don't trust you in this moment. Maybe I will go to Autel also.
It's a shame that a big company like yours treats its customers like this... I'm very dissapointed.
2022-5-15
Use props
DJI Thor
Administrator
Flight distance : 13602 ft
Online

daniulian Posted at 5-15 22:53
Dear Thor, do you even know how the app works? We can't SKIP the login page...

My Galaxy S22 Ultra is up to date, I have the latest apk from you website, the result is always the same: the app keeps crushing when I enter the drone camera view to start operate it.

We are greatly sorry for the inconvenience. Our team is working to make your device compatible with DJI GO 4 app. Please be patient and multiple compatibility tests will be performed as soon as possible to ensure the usage stability. If you have an urgent flight mission, we recommend you prepare a spare mobile device to carry out the mission, instead of using this device to avoid the mission cannot be carried out due to compatibility issues. We are sorry for the inconvenience caused to you. Thank you for your understanding and support!
2022-5-15
Use props
DJI Thor
Administrator
Flight distance : 13602 ft
Online

djiuser_dTsD2ekeFymc Posted at 5-15 22:40
Could it be that the problem is that the S22 Phone in Europe use a different cpu (Exynos) instead of Snapdragon in the US ?

Sorry for the inconvenience. Our team has been working on making it compatible with Samsung Galaxy S22. Please rest assured we will urge our team to expedite the process. Sorry again for the trouble.
2022-5-16
Use props
Morgans
lvl.2
United Kingdom
Offline

DJI Thor Posted at 5-16 00:02
Sorry for the inconvenience. Our team has been working on making it compatible with Samsung Galaxy S22. Please rest assured we will urge our team to expedite the process. Sorry again for the trouble.

"We will urge our team to expedite the process"

IT HAS BEEN GOING ON FOR MORE THAN 3 MONTHS !!
2022-5-16
Use props
Morgans
lvl.2
United Kingdom
Offline

Also, stop recommending useless steps such as turning airplane off etc
I am a developper, got my way around your logs and look what I found is causing the app to crash:

=====        Device Info        =====
manufacture:samsung
product:b0sxeea
model:SM-S908B
version:SP1A.210812.016.S908BXXS2AVDB
android version:12
build num:1115
build name:1115
sdk version:31
=====        App Info        =====
versionCode:3036626
versionName:4.3.46
=====        Crash        =====
java.lang.UnsatisfiedLinkError: dlopen failed: cannot locate symbol "getprotobynumber" referenced by "/data/app/~~lHOFGz1bn3_kN_4y7kzXqg==/dji.go.v4-ipZwVupHx8iU-l8mnJYjvA==/lib/arm64/libutmiss_jni.so"...
        at java.lang.Runtime.loadLibrary0(Runtime.java:1077)
        at java.lang.Runtime.loadLibrary0(Runtime.java:998)
        at java.lang.System.loadLibrary(System.java:1656)
        at com.dji.utmisslib.jni.JNIUtmiss.<clinit>(Unknown Source:2)
        at com.dji.utmisslib.jni.JNIUtmiss.native_UninitUtmissUpload(Native Method)
        at com.dji.utmisslib.UtmissManager.unInit(Unknown Source:0)
        at dji.utmiss.e.c(SourceFile:2)
        at dji.utmiss.DJIUtmissAreaCodeController.g(SourceFile:2)
        at dji.utmiss.DJIUtmissAreaCodeController.b(SourceFile:2)
        at dji.utmiss.DJIUtmissAreaCodeController.a(SourceFile:12)
        at dji.utmiss.DJIUtmissAreaCodeController.a(SourceFile:2)
        at dji.pilot.fpv.activity.DJIBaseNewPreviewActivity.i1(SourceFile:1)
        at dji.pilot.fpv.activity.d.run(Unknown Source:0)
        at android.os.Handler.handleCallback(Handler.java:938)
        at android.os.Handler.dispatchMessage(Handler.java:99)
        at android.os.Looper.loopOnce(Looper.java:226)
        at android.os.Looper.loop(Looper.java:313)
        at android.os.HandlerThread.run(HandlerThread.java:67)

The issue is clear for any developer => getprotobynumber in your library libutmiss_jni.so is calling a null pointer exception.
Oh and this library is for : "File libutmiss_jni.so that contacts Chinese domains utmiss.com / CAAC " .

FFS fix it already, it's not a big deal for any developper with android experience
2022-5-16
Use props
DJI Thor
Administrator
Flight distance : 13602 ft
Online

Morgans Posted at 5-16 02:52
"We will urge our team to expedite the process"

IT HAS BEEN GOING ON FOR MORE THAN 3 MONTHS !!

Thanks for your feedback. We have forwarded it to our engineer. Thanks for your understanding.
2022-5-16
Use props
Morgans
lvl.2
United Kingdom
Offline

DJI Thor Posted at 5-16 03:19
Thanks for your feedback. We have forwarded it to our engineer. Thanks for your understanding.

Sure, no worries, take your time.
I have a friend working in a newspaper company. I'm starting to be very tempted to reach out to him, I'm sure they would love to hear a story of how many drone users can't use their very expensive drone for over 3months now because a $3.83 billion company don't care about them and don't update their app.
And when this same company, only officially support (and recommend us) to use a Samsung S9 which is a 2018 phone.
I can already see the headline from here "Thousands/millions of users spent thousands on a drone they can't fly and the DJI scam company"
2022-5-16
Use props
DJI Thor
Administrator
Flight distance : 13602 ft
Online

Morgans Posted at 5-16 03:51
Sure, no worries, take your time.
I have a friend working in a newspaper company. I'm starting to be very tempted to reach out to him, I'm sure they would love to hear a story of how many drone users can't use their very expensive drone for over 3months now because a $3.83 billion company don't care about them and don't update their app.
And when this same company, only officially support (and recommend us) to use a Samsung S9 which is a 2018 phone.

We are greatly sorry to hear about that. Please kindly note that our team has been working on it. We will make an update ASAP. Thanks for your understanding.
2022-5-16
Use props
Tomasz1977
lvl.1

United Kingdom
Offline

4 days latwr and some 4m-c any answers?
2022-5-19
Use props
daniulian
lvl.2
Flight distance : 416598 ft
Romania
Offline

Tomasz1977 Posted at 5-19 06:06
4 days latwr and some 4m-c any answers?

... maybe in 2023 ((
2022-5-19
Use props
Morgans
lvl.2
United Kingdom
Offline

I did not get any update nor even timelines on when we can expect to have a fix.
Going on holidays in 7 days now I just lost hope to fly it.
I will tell the story to my friend in the newspaper company, and no go to another brand (there's plenty of good quality drones from other brand out there which works no matter what phone you have)
2022-5-21
Use props
mkvr
lvl.1
Flight distance : 211211 ft
Slovakia
Offline

This is insane ...
Can't use my drone as it just became a paperweight.
Will reconsider getting DJI next time...
2022-5-23
Use props
t4ndu
lvl.1

Switzerland
Offline

I have the same problem - I have an S22 Ultra...
Now I should throw the drone away? Sorry an imposition - solves the problem quickly.
The developer above wrote you the error. So please... fix this immediately.
I have never seen such bad app support for such expensive products!

When will the version be released?
2022-5-23
Use props
Morgans
lvl.2
United Kingdom
Offline

t4ndu Posted at 5-23 04:16
I have the same problem - I have an S22 Ultra...
Now I should throw the drone away? Sorry an imposition - solves the problem quickly.
The developer above wrote you the error. So please... fix this immediately.

Issue is not if/how to fix it as you said I provided the error and it is really not a complex bug to fix.
Issue why they don't fix it is political, here is the context:

The issue they have in the app is with a custom library they are using which is not working properly on latest version of android because of all the security improvements and framework Google/Samsung have made.
To protect android users, there is a lot of things you CAN'T do / need permissions to do, and that's what's missing DJI Go 4.
This custom library : libutmiss_jni.so they use it to contacts Chinese domains utmiss.com / CAAC
And that is why they can't update the app on the play store and have to go through their website, because google won't allow them to publish an app that do that without necessary permissions and data security around it

That is why they publish the app on their website instead
And that is why they can't just remove/fix the bug and make it way more complex (political aspect) than it really is (technical aspect)
2022-5-24
Use props
djiuser_Pnvnq3FggXcU
New
Czechia
Offline

Morgans Posted at 5-24 00:32
Issue is not if/how to fix it as you said I provided the error and it is really not a complex bug to fix.
Issue why they don't fix it is political, here is the context:

Hey Morgans, just want to say, you are a beast and big thank you for pointing out.
I am on EU S22 with Exynos and cant load the app and this looks like an obvious reason. The thing is, why they are contacting this chinese server at all ?! Really disturbing.
2022-5-26
Use props
Krakozawr
lvl.2
Flight distance : 250725 ft
United States
Offline

Morgans Posted at 5-24 00:32
Issue is not if/how to fix it as you said I provided the error and it is really not a complex bug to fix.
Issue why they don't fix it is political, here is the context:

Seems like you are right. I have the same problem with my LG phone - it used to work since I have it, and now, it doesn’t

I use iPad as a main flying device but I need my phone as a spare device, and now I can’t use it in emergency!
2022-5-27
Use props
fans5dcd515c
New
Czechia
Offline

daniulian Posted at 4-5 23:09
So I have to buy another phone to use the drone? Are you serious? ))
Update the app so it works on new phones and maybe we will buy another dji products in the future. Maybe! If this is your customer support...
Exactly! What kind of arrogant advice is that? It is flagship mobile device of Samsung right now, few months already. Do update! Jesus.
2022-5-29
Use props
123Next >
Advanced
You need to log in before you can reply Login | Register now

Credit Rules